Index: uspace/lib/ext4/src/ialloc.c
===================================================================
--- uspace/lib/ext4/src/ialloc.c	(revision b7fd2a02e4161f4edd38548e7f8456b8021549be)
+++ uspace/lib/ext4/src/ialloc.c	(revision 34e1206ec4dc79f0592077e3ee270fba91d1eb9d)
@@ -100,13 +100,13 @@
 {
 	ext4_superblock_t *sb = fs->superblock;
-	
+
 	/* Compute index of block group and load it */
 	uint32_t block_group = ext4_ialloc_get_bgid_of_inode(sb, index);
-	
+
 	ext4_block_group_ref_t *bg_ref;
 	errno_t rc = ext4_filesystem_get_block_group_ref(fs, block_group, &bg_ref);
 	if (rc != EOK)
 		return rc;
-	
+
 	/* Load i-node bitmap */
 	uint32_t bitmap_block_addr = ext4_block_group_get_inode_bitmap(
@@ -117,10 +117,10 @@
 	if (rc != EOK)
 		return rc;
-	
+
 	/* Free i-node in the bitmap */
 	uint32_t index_in_group = ext4_ialloc_inode2index_in_group(sb, index);
 	ext4_bitmap_free_bit(bitmap_block->data, index_in_group);
 	bitmap_block->dirty = true;
-	
+
 	/* Put back the block with bitmap */
 	rc = block_put(bitmap_block);
@@ -130,5 +130,5 @@
 		return rc;
 	}
-	
+
 	/* If released i-node is a directory, decrement used directories count */
 	if (is_dir) {
@@ -139,5 +139,5 @@
 		    bg_used_dirs);
 	}
-	
+
 	/* Update block group free inodes count */
 	uint32_t free_inodes = ext4_block_group_get_free_inodes_count(
@@ -146,12 +146,12 @@
 	ext4_block_group_set_free_inodes_count(bg_ref->block_group, sb,
 	    free_inodes);
-	
+
 	bg_ref->dirty = true;
-	
+
 	/* Put back the modified block group */
 	rc = ext4_filesystem_put_block_group_ref(bg_ref);
 	if (rc != EOK)
 		return rc;
-	
+
 	/* Update superblock free inodes count */
 	uint32_t sb_free_inodes =
@@ -159,5 +159,5 @@
 	sb_free_inodes++;
 	ext4_superblock_set_free_inodes_count(sb, sb_free_inodes);
-	
+
 	return EOK;
 }
@@ -178,10 +178,10 @@
 {
 	ext4_superblock_t *sb = fs->superblock;
-	
+
 	uint32_t bgid = 0;
 	uint32_t bg_count = ext4_superblock_get_block_group_count(sb);
 	uint32_t sb_free_inodes = ext4_superblock_get_free_inodes_count(sb);
 	uint32_t avg_free_inodes = sb_free_inodes / bg_count;
-	
+
 	/* Try to find free i-node in all block groups */
 	while (bgid < bg_count) {
@@ -191,12 +191,12 @@
 		if (rc != EOK)
 			return rc;
-		
+
 		ext4_block_group_t *bg = bg_ref->block_group;
-		
+
 		/* Read necessary values for algorithm */
 		uint32_t free_blocks = ext4_block_group_get_free_blocks_count(bg, sb);
 		uint32_t free_inodes = ext4_block_group_get_free_inodes_count(bg, sb);
 		uint32_t used_dirs = ext4_block_group_get_used_dirs_count(bg, sb);
-		
+
 		/*
 		 * Check if this block group is a good candidate
@@ -216,5 +216,5 @@
 			uint32_t bitmap_block_addr = ext4_block_group_get_inode_bitmap(
 			    bg_ref->block_group, sb);
-			
+
 			block_t *bitmap_block;
 			rc = block_get(&bitmap_block, fs->device, bitmap_block_addr,
@@ -224,5 +224,5 @@
 				return rc;
 			}
-			
+
 			/* Try to allocate i-node in the bitmap */
 			uint32_t inodes_in_group = ext4_superblock_get_inodes_in_group(sb, bgid);
@@ -230,5 +230,5 @@
 			rc = ext4_bitmap_find_free_bit_and_set(bitmap_block->data,
 			    0, &index_in_group, inodes_in_group);
-			
+
 			/* Block group has not any free i-node */
 			if (rc == ENOSPC) {
@@ -246,8 +246,8 @@
 				continue;
 			}
-			
+
 			/* Free i-node found, save the bitmap */
 			bitmap_block->dirty = true;
-			
+
 			rc = block_put(bitmap_block);
 			if (rc != EOK) {
@@ -255,9 +255,9 @@
 				return rc;
 			}
-			
+
 			/* Modify filesystem counters */
 			free_inodes--;
 			ext4_block_group_set_free_inodes_count(bg, sb, free_inodes);
-			
+
 			/* Increment used directories counter */
 			if (is_dir) {
@@ -265,5 +265,5 @@
 				ext4_block_group_set_used_dirs_count(bg, sb, used_dirs);
 			}
-			
+
 			/* Decrease unused inodes count */
 			if (ext4_block_group_has_flag(bg,
@@ -271,10 +271,10 @@
 				uint32_t unused =
 				    ext4_block_group_get_itable_unused(bg, sb);
-				
+
 				uint32_t inodes_in_group =
 				    ext4_superblock_get_inodes_in_group(sb, bgid);
-				
+
 				uint32_t free = inodes_in_group - unused;
-				
+
 				if (index_in_group >= free) {
 					unused = inodes_in_group - (index_in_group + 1);
@@ -282,22 +282,22 @@
 				}
 			}
-			
+
 			/* Save modified block group */
 			bg_ref->dirty = true;
-			
+
 			rc = ext4_filesystem_put_block_group_ref(bg_ref);
 			if (rc != EOK)
 				return rc;
-			
+
 			/* Update superblock */
 			sb_free_inodes--;
 			ext4_superblock_set_free_inodes_count(sb, sb_free_inodes);
-			
+
 			/* Compute the absolute i-nodex number */
 			*index = ext4_ialloc_index_in_group2inode(sb, index_in_group, bgid);
-			
+
 			return EOK;
 		}
-		
+
 		/* Block group not modified, put it and jump to the next block group */
 		rc = ext4_filesystem_put_block_group_ref(bg_ref);
@@ -307,5 +307,5 @@
 		++bgid;
 	}
-	
+
 	return ENOSPC;
 }
